import request from '@/utils/request'

// 查询吊钩列表
export function listHook(query) {
  return request({
    url: '/app/hook/list',
    method: 'get',
    params: query
  })
}

// 查询吊钩详细
export function getHook(id) {
  return request({
    url: '/app/hook/' + id,
    method: 'get'
  })
}

// 新增吊钩
export function addHook(data) {
  return request({
    url: '/app/hook',
    method: 'post',
    data: data
  })
}

// 修改吊钩
export function updateHook(data) {
  return request({
    url: '/app/hook',
    method: 'put',
    data: data
  })
}

// 删除吊钩
export function delHook(id) {
  return request({
    url: '/app/hook/' + id,
    method: 'delete'
  })
}
// 查询吊钩列表
export function getAllHook() {
  return request({
    url: '/app/hook/optionselect',
    method: 'get'
  })
}

